Permalink
Browse files

GRAILS-5767 - upgrading to Groovy 1.7.1

  • Loading branch information...
1 parent a802d17 commit 0f772b395a452ec5a682b3b21f29e3cc936cd9dd @jeffbrown jeffbrown committed Feb 19, 2010
View
@@ -40,7 +40,7 @@
<classpathentry kind="lib" path="lib/dom4j-1.6.1.jar"/>
<classpathentry kind="lib" path="lib/ejb3-persistence-1.0.2.GA.jar"/>
<classpathentry kind="lib" path="lib/gant-1.9.1_groovy-1.7.0.jar"/>
- <classpathentry kind="lib" path="lib/groovy-all-1.7.0.jar" />
+ <classpathentry kind="lib" path="lib/groovy-all-1.7.1.jar" />
<classpathentry kind="lib" path="lib/hsqldb-1.8.0.10.jar"/>
<classpathentry kind="lib" path="lib/jcl-over-slf4j-1.5.8.jar"/>
<classpathentry kind="lib" path="lib/jsp-api-2.0.jar"/>
View
@@ -114,7 +114,7 @@ fi
if [ -z "$GROOVY_CONF" ]; then
GROOVY_CONF="$GRAILS_HOME/conf/groovy-starter.conf"
fi
-STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.0.jar:$GRAILS_HOME/dist/grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar"
+STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.1.jar:$GRAILS_HOME/dist/grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar"
# Allow access to Cocoa classes on OS X
if $darwin; then
View
@@ -106,7 +106,7 @@ set CMD_LINE_ARGS=%$
:execute
@rem Setup the command line
-set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.0.jar;%GRAILS_HOME%\dist\grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar
+set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.1.jar;%GRAILS_HOME%\dist\grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar
if exist "%USERPROFILE%/.groovy/init.bat" call "%USERPROFILE%/.groovy/init.bat"
View
@@ -21,8 +21,8 @@ configurations {
dependencies {
lib = "$projectDir/lib"
- groovy files("$lib/groovy-all-1.7.0.jar")
- compile files(fileTree(dir: lib as File, includes: ['*.jar'], excludes: ['jsp-api-2.1.jar', 'groovy-all-1.7.0.jar']), "${System.getenv('JAVA_HOME')}/lib/tools.jar")
+ groovy files("$lib/groovy-all-1.7.1.jar")
+ compile files(fileTree(dir: lib as File, includes: ['*.jar'], excludes: ['jsp-api-2.1.jar', 'groovy-all-1.7.1.jar']), "${System.getenv('JAVA_HOME')}/lib/tools.jar")
testRuntime files('src/test', 'target', 'src/grails/grails-app/utils', ".", "src/war/WEB-INF")
jsp21 files("$lib/jsp-api-2.1.jar")
}
View
@@ -14,7 +14,7 @@ bundlor.javassist.version=3.9.0
bundlor.svnkit.version=1.3.1
bundlor.servlet.version=2.5.0
bundlor.radeox.version=1.0.0.b2
-bundlor.groovy.version=1.7.0
+bundlor.groovy.version=1.7.1
bundlor.spring.version=3.0.0.RELEASE
bundlor.ant.version=1.7.1
bundlor.ivy.version=2.0.0
View
@@ -10,7 +10,7 @@
##
# Load required libraries
load ${grails.home}/dist/grails-bootstrap-${grails.version}.jar
- load ${grails.home}/lib/groovy-all-1.7.0.jar
+ load ${grails.home}/lib/groovy-all-1.7.1.jar
load ${grails.home}/lib/gpars-0.9.jar
load ${grails.home}/lib/ivy-2.1.0.jar
load ${grails.home}/lib/gant-1.9.1_groovy-1.7.0.jar
View
@@ -83,8 +83,8 @@ The following libraries are included in Grails because they are required either
- Gant 1.9.1 (http://gant.codehaus.org) Apache 2.0 License
- required for the command line tools (Gant)
-* groovy-all-1.7.0.jar
-- Groovy 1.7.0 (http://groovy.codehaus.org) Apache 2.0 License
+* groovy-all-1.7.1.jar
+- Groovy 1.7.1 (http://groovy.codehaus.org) Apache 2.0 License
- required for the command line tools (Gant)
- required for building Grails core
- required for running Grails applications
View
@@ -557,7 +557,7 @@
</library>
<library name="Groovy">
<CLASSES>
- <root url="jar://$PROJECT_DIR$/lib/groovy-all-1.7.0.jar!/" />
+ <root url="jar://$PROJECT_DIR$/lib/groovy-all-1.7.1.jar!/" />
</CLASSES>
<JAVADOC />
<SOURCES>
Binary file not shown.
View
@@ -8,6 +8,7 @@ Import-Template:
org.apache.commons.lang.*;version="${commons.lang.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -10,6 +10,7 @@ Import-Template:
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.tools.*;version="${groovy.version:[=.=.=, =.+1.0)}"
View
@@ -54,7 +54,7 @@
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
- <version>1.7.0</version>
+ <version>1.7.1</version>
<exclusions>
<exclusion>
<groupId>jline</groupId>
View
@@ -9,6 +9,7 @@ Import-Template:
org.apache.commons.logging.*;version="${commons.logging.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -14,6 +14,7 @@ Import-Template:
org.tmatesoft.*;version="${svnkit.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -7,6 +7,7 @@ Import-Template:
org.apache.commons.logging.*;version="${commons.logging.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -12,6 +12,7 @@ Import-Template:
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
javax.servlet.*;version="${servlet.version:[=.=.=, +1.0.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.transform.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -14,6 +14,7 @@ Import-Template:
org.apache.commons.logging.*;version="${commons.logging.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.transform.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -7,6 +7,7 @@ Import-Template:
org.apache.commons.logging.*;version="${commons.logging.version:[=.=.=, +1.0.0)}",
groovy.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.runtime.*;version="${groovy.version:[=.=.=, =.+1.0)}",
+ org.codehaus.groovy.classgen.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.control.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.reflection.*;version="${groovy.version:[=.=.=, =.+1.0)}",
org.codehaus.groovy.ant.*;version="${groovy.version:[=.=.=, =.+1.0)}",
View
@@ -63,7 +63,7 @@
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
- <version>1.7.0</version>
+ <version>1.7.1</version>
<exclusions>
<exclusion>
<groupId>jline</groupId>
@@ -263,7 +263,7 @@ public class IvyDependencyManager implements DependencyResolver, DependencyDefin
"javax.servlet:jsp-api:2.1"
// dependencies needed for compilation
- compile("org.codehaus.groovy:groovy-all:1.7.0") {
+ compile("org.codehaus.groovy:groovy-all:1.7.1") {
excludes 'jline'
}
@@ -114,7 +114,7 @@ fi
if [ -z "$GROOVY_CONF" ]; then
GROOVY_CONF="$GRAILS_HOME/conf/groovy-starter.conf"
fi
-STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.0.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
+STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.1.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
# Allow access to Cocoa classes on OS X
if $darwin; then
@@ -106,7 +106,7 @@ set CMD_LINE_ARGS=%$
:execute
@rem Setup the command line
-set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.0.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
+set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.1.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
if exist "%USERPROFILE%/.groovy/init.bat" call "%USERPROFILE%/.groovy/init.bat"

0 comments on commit 0f772b3

Please sign in to comment.